Bug 674676 - Review Request: python-zope-deprecation - Zope 3 Deprecation Infrastructure
Review Request: python-zope-deprecation - Zope 3 Deprecation Infrastructure
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Lee
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 633138 674692
  Show dependency treegraph
 
Reported: 2011-02-02 16:35 EST by Luke Macken
Modified: 2014-10-14 07:57 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-15 23:39:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
robinlee.sysu: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luke Macken 2011-02-02 16:35:18 EST
Spec URL: http://lmacken.fedorapeople.org/rpms/python-zope-deprecation.spec
SRPM URL: http://lmacken.fedorapeople.org/rpms/python-zope-deprecation-3.4.0-1.fc13.src.rpm
Description:
This package provides a simple function called 'deprecated(names, reason)' to
deprecate the previously mentioned Python objects.
Comment 1 Robin Lee 2011-02-02 23:56:05 EST
Here is the review:

 +:ok, =:needs attention, -:needs fixing

MUST Items:
[+] MUST: rpmlint must be run on every package.
$ rpmlint ./RPMS/noarch/python-zope-deprecation-3.4.0-1.fc14.noarch.rpm ./SRPMS/python-zope-deprecation-3.4.0-1.fc14.src.rpm ./SPECS/python-zope-deprecation.spec 
python-zope-deprecation.src: W: invalid-url Source0: zope.deprecation-3.4.0.tar.gz
./SPECS/python-zope-deprecation.spec: W: invalid-url Source0: zope.deprecation-3.4.0.tar.gz
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}
[+] MUST: The package must be licensed with a Fedora approved license and meet
the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source,
as provided in the spec URL.
$ md5sum zope.deprecation-3.4.0.tar.gz 
453a5707987c8b8eb1f58ed948119fce  zope.deprecation-3.4.0.tar.gz

[+] MUST: The package must successfully compile and build into binary rpms on
at least one supported architecture.
[+] MUST: All build dependencies must be listed in BuildRequires
[+] MUST: A package must own all directories that it creates. If it does not
create a directory that it uses, then it should require a package which does
create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing.
[+] MUST: Permissions on files must be set properly. Executables should be set
with executable permissions, for example. Every %files section must include a
%defattr(...) line.
[+] MUST: Each package must consistently use macros, as described in the macros
section of Packaging Guidelines.
[+] MUST: The package must contain code, or permissible content. This is
described in detail in the code vs. content section of Packaging Guidelines.
[+] MUST: If a package includes something as %doc, it must not affect the
runtime of the application.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf
%{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package functions as described.
[+] SHOULD: Packages should try to preserve timestamps of original installed
files.


Others:
[=] Consider renaming python-setuptools-devel to python-setuptools
[-] Source0 URL:
http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz

[=] Buildroot, %clean section and the rm command in %install section are not
required.
http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean

[=] /usr/lib/python2.7/site-packages/zope/deprecation/DEPENDENCIES.cfg
/usr/lib/python2.7/site-packages/zope/deprecation/README.txt
should be excluded.

[=] The tests not actually run.
'zope.testrunner' is required but not available in Fedora. 'zope.testrunner' used to be part of 'zope.testing'.
I ran the tests locally and all went well:

$ ./bin/test 
Running zope.testrunner.layer.UnitTests tests:
  Set up zope.testrunner.layer.UnitTests in 0.000 seconds.
  Ran 19 tests with 0 failures and 0 errors in 0.110 seconds.
Tearing down left over layers:
  Tear down zope.testrunner.layer.UnitTests in 0.000 seconds.

[=] Consider excluding the tests
/usr/lib/python2.7/site-packages/zope/deprecation/tests.py*
Comment 2 Luke Macken 2011-02-03 09:12:01 EST
(In reply to comment #1)
> Others:
> [=] Consider renaming python-setuptools-devel to python-setuptools

Done.

> [-] Source0 URL:
> http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz

Updated.

> [=] Buildroot, %clean section and the rm command in %install section are not
> required.
> http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
> http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean

I'd like to keep these for now, until I push this all of the way down to EL-5.  I also added the python_sitelib definition to the top.

> [=] /usr/lib/python2.7/site-packages/zope/deprecation/DEPENDENCIES.cfg
> /usr/lib/python2.7/site-packages/zope/deprecation/README.txt
> should be excluded.

Done.

> [=] The tests not actually run.
> 'zope.testrunner' is required but not available in Fedora. 'zope.testrunner'
> used to be part of 'zope.testing'.
> I ran the tests locally and all went well:
> 
> $ ./bin/test 
> Running zope.testrunner.layer.UnitTests tests:
>   Set up zope.testrunner.layer.UnitTests in 0.000 seconds.
>   Ran 19 tests with 0 failures and 0 errors in 0.110 seconds.
> Tearing down left over layers:
>   Tear down zope.testrunner.layer.UnitTests in 0.000 seconds.

Ok, removed %check block for now.

> [=] Consider excluding the tests
> /usr/lib/python2.7/site-packages/zope/deprecation/tests.py*

Removed during %install.

Updated SPEC/SRPM at original URL.
Comment 3 Robin Lee 2011-02-03 10:35:07 EST
Since tests are disabled by now, 'BuildRequires:  python-zope-testing' can be commented out.

Rawhide build succeeded: http://koji.fedoraproject.org/koji/taskinfo?taskID=2759976

This package is approved by 'cheeselee'.
Comment 4 Luke Macken 2011-02-05 18:45:34 EST
New Package SCM Request
=======================
Package Name: python-zope-deprecation
Short Description: Zope 3 Deprecation Infrastructure
Owners: lmacken
Branches: f13 f14 el6 el5
Comment 5 Kevin Fenzi 2011-02-06 17:55:54 EST
Git done (by process-git-requests).
Comment 6 Luke Macken 2011-02-07 12:31:10 EST
Thank you for the review, Robin!
Comment 7 Luke Macken 2011-02-15 23:39:12 EST
Pushed to F13 and F14 stable updates.
Comment 8 Ralph Bean 2014-10-13 21:06:43 EDT
Package Change Request
======================
Package Name: python-zope-deprecation
New Branches: epel7
Owners: ralph
Comment 9 Jon Ciesla 2014-10-14 07:57:09 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.